broken translations results in traceback in new release notification

Bug #1311396 reported by Brian Murray on 2014-04-23
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
High
Ubuntu Croatian Translators
language-pack-eo (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
language-pack-hr (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
language-pack-id (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
language-pack-ja (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
language-pack-ja-base (Ubuntu)
High
Unassigned
Trusty
High
Unassigned
language-pack-ug (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned
ubuntu-release-upgrader (Ubuntu)
High
Unassigned
Trusty
High
Unassigned
update-manager (Ubuntu)
Precise
High
Brian Murray

Bug Description

[Test Case]
1) Install one of the affected languages
2) Make it the primary language
3) In a terminal run '/usr/lib/ubuntu-release-upgrader/check-new-release-gtk' for saucy
   In a terminal run '/usr/lib/update-manager/check-new-release-gtk -d' for precise
4) Observe a Traceback ending in a "ValueError: incomplete format" in precise the traceback says "ValueError: unsupported format character"

With the language pack from -proposed you should not see a Traceback, but rather a notification window about the new release of Ubuntu.

The error bucket at https://errors.ubuntu.com/problem/50c8f7b892dd75b531ac7d68a07ec11541387013 contains the following traceback.

Traceback (most recent call last):
  File "/usr/lib/ubuntu-release-upgrader/check-new-release-gtk", line 113, in new_dist_available
    self.window_main.set_title(_("Ubuntu %(version)s Upgrade Available") % {'version': new_dist.version})
ValueError: incomplete format

This is due to a bad translation for the Croatian (hr) language.

https://translations.launchpad.net/ubuntu/saucy/+source/ubuntu-release-upgrader/+pots/ubuntu-release-upgrader/hr/+translate?batch=10&show=all&search=Upgrade+Available

"Dostupna nadogradnja Ubuntu %(version)"

Notice the missing s after version. This is causing check-new-release-gtk to fail to notify users of a new release.

Related branches

Brian Murray (brian-murray) wrote :

It looks like hr is not the only language with an issue.

 $ grep -r "%(version) " *
po/id.po:msgstr "Peningkatan ke Ubuntu %(version) Tersedia"
po/eo.po:msgstr "Ĝisdatigoj por Ubuntu %(version) disponeblas"
po/ug.po:msgstr "ئۇبۇنتۇ %(version) نىڭ يۈكسەلدۈرمىسى بار ئىكەن"

tags: added: saucy
Brian Murray (brian-murray) wrote :

And precise (although it is update-manager) has issues too.

[ 10:31AM ] [ bdmurray@impulse:~/source-trees/update-manager/precise-proposed ]
 $ grep -r "%(version) " *
po/ja.po:msgstr "Ubuntu %(version) のアップグレードが利用可能です"
po/id.po:msgstr "Peningkatan ke Ubuntu %(version) Tersedia"
po/eo.po:msgstr "Ĝisdatigoj por Ubuntu %(version) disponeblas"
po/ug.po:msgstr "ئۇبۇنتۇ %(version) نىڭ يۈكسەلدۈرمىسى بار ئىكەن"

tags: added: precise
Changed in ubuntu-release-upgrader (Ubuntu Precise):
status: New → Invalid
Changed in update-manager (Ubuntu Saucy):
status: New → Invalid
Changed in update-manager (Ubuntu):
status: New → Invalid
Changed in update-manager (Ubuntu Precise):
status: New → Triaged
importance: Undecided → High
Changed in ubuntu-release-upgrader (Ubuntu Saucy):
status: New → Triaged
importance: Undecided → High
description: updated
description: updated
description: updated
description: updated
Changed in ubuntu-release-upgrader (Ubuntu Saucy):
assignee: nobody → Brian Murray (brian-murray)
Changed in update-manager (Ubuntu Precise):
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu Saucy):
status: Triaged → In Progress
Changed in update-manager (Ubuntu Precise):
status: Triaged → In Progress
summary: - broken croatian translation results in traceback in new release
- notification
+ broken translations results in traceback in new release notification

Hello Brian, or anyone else affected,

Accepted update-manager into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/update-manager/1:0.156.14.14 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in update-manager (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in ubuntu-release-upgrader (Ubuntu Saucy):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:0.205.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Michael Vogt (mvo) on 2014-04-24
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → In Progress

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of ubuntu-release-upgrader from saucy-proposed was performed and bug 1313447 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and tag 1313447 "bot-stop-nagging". Thanks!

tags: added: verification-failed
tags: removed: verification-failed

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:0.220.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Trusty):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu Trusty):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:14.10.2

---------------
ubuntu-release-upgrader (1:14.10.2) utopic; urgency=low

  * debian/test/control:
    - add missing pep8 test dependency
  * tests/test_xorg_fix_intrepid.py:
    -
 -- Michael Vogt <email address hidden> Sat, 03 May 2014 08:37:51 +0200

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
Mathew Hodson (mathew-hodson) wrote :

Is there a way to test the ubuntu-release-upgrader in trusty-proposed on a machine with trusty already installed?

I tried update-manager 1:0.156.14.14 from precise-proposed and verification failed with Indonesian

# apt-cache policy update-manager
update-manager:
  Terpasang: 1:0.156.14.14
  Kandidat: 1:0.156.14.14
  Tabel versi:
 *** 1:0.156.14.14 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.156.14.13 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
     1:0.156.14.5 0
        500 http://security.ubuntu.com/ubuntu/ precise-security/main amd64 Packages
     1:0.156.14 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
root@ubuntu:~# /usr/lib/update-manager/check-new-release-gtk -d
Traceback (most recent call last):
  File "/usr/lib/update-manager/check-new-release-gtk", line 90, in new_dist_available
    self.window_main.set_title(_("Ubuntu %(version)s Upgrade Available") % {'version': new_dist.version})
ValueError: unsupported format character 'T' (0x54) at index 33

tags: added: verification-failed-precise

I verified ubuntu-release-upgrader 1:0.220.3 from trusty-proposed with Indonesian and the same crash occurs.

# apt-cache policy ubuntu-release-upgrader-gtk
ubuntu-release-upgrader-gtk:
  Terpasang: 1:0.220.3
  Kandidat: 1:0.220.3
  Tabel versi:
 *** 1:0.220.3 0
        500 http://fr.archive.ubuntu.com/ubuntu/ trusty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.220.2 0
        500 http://fr.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
root@ubuntu:~# /usr/lib/ubuntu-release-upgrader/check-new-release-gtk -d
Traceback (most recent call last):
  File "/usr/lib/ubuntu-release-upgrader/check-new-release-gtk", line 113, in new_dist_available
    self.window_main.set_title(_("Ubuntu %(version)s Upgrade Available") % {'version': new_dist.version})
ValueError: unsupported format character 'T' (0x54) at index 33

tags: added: verification-failed-trusty

Actually in Trusty it's a translation fix, I tried language-pack-id and language-pack-gnome-id 1:14.04+20140522 from trusty-proposed and it fixes the problem.

tags: added: verification-done-trusty
removed: verification-failed-trusty
tags: removed: verification-done-trusty

I cannot do the verification in Precise because the new langpacks for eo, id, ja and ug are not in precise-proposed.

description: updated
tags: removed: verification-failed-precise

Closing update-manager tasks, the fix is in the language packs.

Changed in update-manager (Ubuntu Precise):
status: Fix Committed → Invalid
Changed in language-pack-eo (Ubuntu):
status: New → Fix Released
Changed in language-pack-id (Ubuntu):
status: New → Fix Released
Changed in language-pack-ja (Ubuntu):
status: New → Fix Released
Changed in language-pack-ug (Ubuntu):
status: New → Fix Released
Changed in language-pack-ja (Ubuntu Saucy):
status: New → Fix Released
Changed in language-pack-eo (Ubuntu Precise):
importance: Undecided → High
Changed in language-pack-id (Ubuntu Precise):
importance: Undecided → High
Changed in language-pack-ja (Ubuntu Precise):
importance: Undecided → High
Changed in language-pack-ug (Ubuntu Precise):
importance: Undecided → High
Changed in ubuntu-release-upgrader (Ubuntu Saucy):
status: Fix Committed → Invalid
Changed in language-pack-ja (Ubuntu Trusty):
status: New → Fix Released
Changed in language-pack-id (Ubuntu Trusty):
importance: Undecided → High
Changed in language-pack-eo (Ubuntu Trusty):
importance: Undecided → High
Changed in language-pack-ug (Ubuntu Trusty):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.156.14.15

---------------
update-manager (1:0.156.14.15) precise-proposed; urgency=low

  * support HardwareEnablement End-of-Life transition
    (LP: #1333728)
 -- Michael Vogt <email address hidden> Tue, 24 Jun 2014 16:32:25 +0200

Changed in update-manager (Ubuntu Precise):
status: Invalid → Fix Released
Colin Watson (cjwatson) on 2014-07-10
Changed in update-manager (Ubuntu Precise):
status: Fix Released → Invalid
Changed in language-pack-id (Ubuntu Trusty):
status: New → Fix Committed
Changed in language-pack-eo (Ubuntu Trusty):
status: New → Fix Committed
Changed in language-pack-ug (Ubuntu Trusty):
status: New → Fix Committed
Mathew Hodson (mathew-hodson) wrote :

New langpack for ja is in precise-proposed.

Changed in language-pack-ja (Ubuntu Precise):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Given that the change is in the language packs and not in ubuntu-release-upgrader this bug should not block the SRU or ubuntu-rlelease-upgrader, so I am setting the bug to verification-done.

tags: added: verification-done
removed: verification-needed
Steve Langasek (vorlon) wrote :

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:0.220.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:0.220.4

---------------
ubuntu-release-upgrader (1:0.220.4) trusty-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash in free space check for certain locales (LP: #1172740)
    - removal of essential packages that are not in the main arch
      is ok (LP: #1307904)
    - fix str/unicode crash in certain locales when a package is
      found in the removal blacklist (LP: #1310053)
  * DistUpgrade/DistUpgradeViewGtk3.py:
   - make details dialog resize when details are expanded/collapsed
     (LP: #1072460)
    - load webkit only when needed
  * DistUpgrade/DistUpgradeViewText.py:
    - fix py3 crash in text mode
  * DistUpgrade/DistUpgradeMain.py:
    - log python version
  * po/{eo,id,ug}.po:
    - fix translations of check-new-release-gtk which cause a crash
      (LP: #1311396)
  * data/demoted.cfg:
    - autmatic refresh of the demoted packages
  * po/*.po:
    - automatic refresh from launchpad
 -- Michael Vogt <email address hidden> Thu, 24 Apr 2014 14:57:39 +0200

Changed in ubuntu-release-upgrader (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Mathew Hodson (mathew-hodson) wrote :
Changed in language-pack-ja (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in language-pack-eo (Ubuntu Saucy):
status: New → Invalid
Changed in language-pack-id (Ubuntu Saucy):
status: New → Invalid
Changed in language-pack-ug (Ubuntu Saucy):
status: New → Invalid
Mathew Hodson (mathew-hodson) wrote :

The four language packs are in trusty-proposed. Does there need to be a new upload for the Trusty update-manager task?

What verification needs to be done to move the language packs to trusty-updates?

tags: added: trusty
removed: saucy
Changed in update-manager (Ubuntu Trusty):
status: Confirmed → Invalid
Changed in update-manager (Ubuntu Precise):
status: Invalid → Fix Released
no longer affects: language-pack-eo (Ubuntu Saucy)
no longer affects: language-pack-id (Ubuntu Saucy)
no longer affects: language-pack-ja (Ubuntu Saucy)
Changed in language-pack-ja (Ubuntu Trusty):
status: Fix Released → Fix Committed
no longer affects: language-pack-ug (Ubuntu Saucy)
no longer affects: ubuntu-release-upgrader (Ubuntu Saucy)
no longer affects: update-manager (Ubuntu Saucy)
Changed in language-pack-ja (Ubuntu Trusty):
importance: Undecided → High
Changed in language-pack-eo (Ubuntu Precise):
status: New → Triaged
Changed in language-pack-id (Ubuntu Precise):
status: New → Triaged
Changed in language-pack-ug (Ubuntu Precise):
status: New → Triaged
Changed in language-pack-hr (Ubuntu):
status: New → Fix Released
Changed in language-pack-hr (Ubuntu Precise):
importance: Undecided → High
status: New → Triaged
Changed in language-pack-hr (Ubuntu Trusty):
importance: Undecided → High
status: New → Fix Committed
Changed in ubuntu-translations:
assignee: nobody → Ubuntu Japanese Translators (ubuntu-l10n-ja)
importance: Undecided → High

Hi Mathew

Sorry for late reply, Anyway, I tried language-pack-ja in
trusty-proposed, but output followings.
---
The following package was automatically installed and is no longer required:
  firefox-locale-ja
Use 'apt-get autoremove' to remove it.
---

Do you know any reason why firefox-locale-XX is dropped from
Recommends field of language-pack-XX-base?

--
Mitsuya Shibata
<email address hidden>

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2015-10-09 16:25, Mitsuya Shibata wrote:
> Do you know any reason why firefox-locale-XX is dropped from
> Recommends field of language-pack-XX-base?

I don't think it ever was included in depends in language-pack-XX-base, but it's still pulled via
/usr/share/language-selector/data/pkg_depends once you open Language Support.

Mitsuya Shibata (cosmos-door) wrote :

Hi Gunnar,

2015-10-10 0:48 GMT+09:00 Gunnar Hjalmarsson <email address hidden>:
> I don't think it ever was included in depends in language-pack-XX-base, but it's still pulled via
> /usr/share/language-selector/data/pkg_depends once you open Language Support.

Thank you for your information.
Indeed, I could recover by Language Support.

1. language-pack updated via proposed)
2. $ sudo apt-get autoremove
  => firefox-locale-ja removed
3. launch firefox
  => UI doesn't localized
4. launch Language Support
  => "not complete langpack" message and install firefox-locale-ja
5. launch firefox
  => UI does localized

It seems that normal user doesn't exec "apt-get autoremove".
If it is removed, it is able to recover via language support.
Additionally to this, at least wily already drop it from recommends.
I think this is not so critical.

Mitsuya Shibata (cosmos-door) wrote :

Mathew and Gunnar,

I have tested language pack ja in trusty-proposed,
then not found any problem without #23-25.
And it seems that #23-25 is not real problem.

Could you move the packages from -proposed to -updates?

Changed in ubuntu-translations:
assignee: Ubuntu Japanese Translators (ubuntu-l10n-ja) → nobody
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2015-10-11 21:15, Mitsuya Shibata wrote:
> Additionally to this, at least wily already drop it from recommends.

Hmm.. I see now that it was included as "Recommends" in the
language-pack-XX-base packages in precise, but not in trusty. That was news to me, and it indeed explains why quite a few users (including me) found that firefox-locale-XX was uninstalled unexpectedly.

Anyway, that problem should (almost) be history now, and it's not related to the issue in this bug report.

On 2015-10-11 21:26, Mitsuya Shibata wrote:
> I have tested language pack ja in trusty-proposed,
> then not found any problem without #23-25.
> And it seems that #23-25 is not real problem.
>
> Could you move the packages from -proposed to -updates?

Hopefully someone with proper access to the archive will do it.

Thanks, Mitsuya!

Martin Pitt (pitti) wrote :

I released the Japanese langpacks, thanks for testing!

Changed in language-pack-ja (Ubuntu Trusty):
status: Fix Committed → Fix Released
Mitsuya Shibata (cosmos-door) wrote :

Hi Martin,

Thank you for update. However please update language-pack-ja-base too?

https://launchpad.net/ubuntu/+source/language-pack-ja-base

language-pack-ja depends same version of language-pack-ja.
http://packages.ubuntu.com/trusty-updates/language-pack-ja

Changed in language-pack-ja-base (Ubuntu Precise):
status: New → Invalid
Changed in language-pack-ja-base (Ubuntu Trusty):
status: New → Fix Committed
Changed in language-pack-ja-base (Ubuntu Trusty):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in language-pack-ja-base (Ubuntu):
status: New → Confirmed
Mitsuya Shibata (cosmos-door) wrote :

language-pack-ja-base was moved to trusty-updates. Thanks!

Changed in language-pack-ja-base (Ubuntu):
status: Confirmed → Fix Released
Changed in language-pack-ja-base (Ubuntu Trusty):
status: Fix Committed → Fix Released
no longer affects: ubuntu-release-upgrader (Ubuntu Precise)
no longer affects: update-manager (Ubuntu)
no longer affects: update-manager (Ubuntu Trusty)
no longer affects: language-pack-ja-base (Ubuntu Precise)
Changed in ubuntu-translations:
assignee: nobody → Ubuntu Croatian Translators (ubuntu-l10n-hr)
Changed in language-pack-hr (Ubuntu):
importance: Undecided → High
Changed in ubuntu-translations:
status: New → Triaged
Changed in language-pack-id (Ubuntu):
importance: Undecided → High
Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → High
Changed in ubuntu-release-upgrader (Ubuntu Trusty):
importance: Undecided → High
Changed in language-pack-ja (Ubuntu):
importance: Undecided → High
Changed in language-pack-ja-base (Ubuntu):
importance: Undecided → High
Changed in language-pack-ug (Ubuntu):
importance: Undecided → High
Changed in language-pack-eo (Ubuntu):
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers